Bug 222780 - sbin/growfs/legacy_test:main and sys/geom/class/eli/resize_test:main both broken by r323923
Summary: sbin/growfs/legacy_test:main and sys/geom/class/eli/resize_test:main both bro...
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: tests (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Enji Cooper
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-04 16:46 UTC by Enji Cooper
Modified: 2017-11-06 07:31 UTC (History)
1 user (show)

See Also:
ngie: mfc-stable11+
ngie: mfc-stable10+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2017-10-04 16:46:24 UTC
The two noted tests have been failing in Jenkins since r323923 has been committed. I haven't looked into why they're failing:

https://ci.freebsd.org/job/FreeBSD-head-amd64-test/4551/testReport/junit/sys.geom.class.eli/resize_test/main/
https://ci.freebsd.org/job/FreeBSD-head-amd64-test/4551/testReport/junit/sbin.growfs/legacy_test/main/

Example repro:

$ sudo kyua debug -k /usr/tests/sbin/growfs/Kyuafile legacy_test:main
1..19
ok 1 - Created md0 with size 40m
ok 2 - Sized md0a to 10m
ok 3 - Initialised the filesystem on md0a as UFS1
ok 4 - fsck says md0a is clean, 10 lines of output
ok 5 - Sized md0a to 20m
ok 6 - Extended the filesystem on md0a
ok 7 - fsck says md0a is clean, 10 lines of output
ok 8 - Sized md0a to 30m
ok 9 - Extended the filesystem on md0a
ok 10 - fsck says md0a is clean, 10 lines of output
ok 11 - Sized md0a to 10m
ok 12 - Initialised the filesystem on md0a as UFS2
ok 13 - fsck says md0a is clean, 10 lines of output
ok 14 - Sized md0a to 20m
ok 15 - Extended the filesystem on md0a
not ok 16 - fsck says md0a is clean, 15 lines of output
ok 17 - Sized md0a to 30m
ok 18 - Extended the filesystem on md0a
not ok 19 - fsck says md0a is clean, 15 lines of output
# Filling the extent with zeros
# Filling the extent with garbage
# Filling the extent with zeros
#   Failed test 'fsck says md0a is clean, 15 lines of output'
#   at /usr/tests/sbin/growfs/legacy_test line 67.
# Filling the extent with garbage
#   Failed test 'fsck says md0a is clean, 15 lines of output'
#   at /usr/tests/sbin/growfs/legacy_test line 83.
# Looks like you failed 2 tests of 19.
legacy_test:main  ->  failed: 2 of 19 tests failed
Comment 1 commit-hook freebsd_committer 2017-10-10 05:58:53 UTC
A commit references this bug:

Author: ngie
Date: Tue Oct 10 05:58:33 UTC 2017
New revision: 324478
URL: https://svnweb.freebsd.org/changeset/base/324478

Log:
  Check the exit code from fsck_ffs instead of relying on MODIFIED being in the output

  ^/head@r323923 changed when MODIFIED is printed at exit. It's better to follow the
  documented way of determining whether or not a filesystem is clean per fsck_ffs, i.e.,
  ensure that the exit code is either 0 or 7.

  The pass/fail determination is brittle prior to this commit, and ^/head@r323923 made
  the issue apparent -- thus this needs to be fixed independent of ^/head@r323923.

  PR:		222780
  MFC after:	1 week
  MFC with:	r323923
  Reported by:	Jenkins

Changes:
  head/sbin/growfs/tests/legacy_test.pl
  head/tests/sys/geom/class/eli/resize_test.sh
Comment 2 commit-hook freebsd_committer 2017-10-17 15:49:53 UTC
A commit references this bug:

Author: ngie
Date: Tue Oct 17 15:49:37 UTC 2017
New revision: 324690
URL: https://svnweb.freebsd.org/changeset/base/324690

Log:
  MFC r324478:

  Check the exit code from fsck_ffs instead of relying on MODIFIED being in the output

  ^/head@r323923 changed when MODIFIED is printed at exit. It's better to follow the
  documented way of determining whether or not a filesystem is clean per fsck_ffs, i.e.,
  ensure that the exit code is either 0 or 7.

  The pass/fail determination is brittle prior to this commit, and ^/head@r323923 made
  the issue apparent -- thus this needs to be fixed independent of ^/head@r323923.

  PR:		222780
  MFC with:	r323923

Changes:
_U  stable/10/
  stable/10/sbin/growfs/tests/legacy_test.pl
  stable/10/tests/sys/geom/class/eli/resize_test.sh
Comment 3 commit-hook freebsd_committer 2017-10-17 15:52:59 UTC
A commit references this bug:

Author: ngie
Date: Tue Oct 17 15:52:03 UTC 2017
New revision: 324691
URL: https://svnweb.freebsd.org/changeset/base/324691

Log:
  MFC r324478:

  Check the exit code from fsck_ffs instead of relying on MODIFIED being in the output

  ^/head@r323923 changed when MODIFIED is printed at exit. It's better to follow the
  documented way of determining whether or not a filesystem is clean per fsck_ffs, i.e.,
  ensure that the exit code is either 0 or 7.

  The pass/fail determination is brittle prior to this commit, and ^/head@r323923 made
  the issue apparent -- thus this needs to be fixed independent of ^/head@r323923.

  PR:		222780
  MFC with:	r323923

Changes:
_U  stable/11/
  stable/11/sbin/growfs/tests/legacy_test.pl
  stable/11/tests/sys/geom/class/eli/resize_test.sh